function ExpMidPointConv

% Calculate the emprical convergence order of the Explicit Midpoint rule.
%
  solSol = %...
  rhsSol = %...
  
  y0 = %...
  T = %...
  h = %...
  err = nan(size(h));

  for j=%...
    % solution using explicit middle point rule
    [t,y] = %...
    % exact solution
    yExact = %...
    % calculate error
    err(j) = %...
  end

  figure;
% Plot log-log-plot here:
  loglog(h,err,'bx:',h,h.^2,'g','LineWidth',1.5)
  title(['{\bf log-log Plot of Error against Step-Size for '...
         'the Explicit Middle Point rule}']);
  xlabel('h');
  ylabel('error');
  legend('Explicit Midpoint','O(h^2)','Location','NorthWest');
  grid on;
  
% call polyfit here:
  fit = polyfit(log(h),log(err),1);
  fprintf('Convergence order: %f\n',fit(1));

  print -dpdf 'Conv.pdf'